.module/ram/abs=0      UHF3;
.pagelength  59;                    { Works for .LST files with 550C }
.include    <system.k>;

{************************************************************************
 *
 *          EZ-KIT Lite DSP Program for DSP-10 2-meter Transciever
 *			UHF3.DSP Version 30
 *                       Main Module - Start
 *
 * NOTICE: Copyright (C) 1996-2005 by Robert S. Larkin
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * This license does not purport to restrict in anyway public domain
 * programs, where they are used for as a basis for routines here.
 *
 * The program author can be contacted by email at boblark@proaxis.com.
 * Alternatively contact the author at
 *     Robert S. (Bob) Larkin
 *     2982 N. W. Acacia Place
 *     Corvallis, OR  97330  USA
 *
 * For more details on the background or use of the program, pay a visit to
 * http://www.proaxis.com/~boblark/dsp10.htm
 *
 * The LMS routines are based on the work of Johan Forrer, KC7WW.
 * Many parts of the program have roots in the applications manuals for
 * the ADSP-2100 Family, published by Analog Devices.  The FFT, sin and
 * log routines are in this category.
 *
 *                   UHF3.DSP
 *  IF Processor for UHF & Microwave Transceivers
 *  48 KHz version
 *  Rev  .0    13 May 96  Initial write - Bob Larkin W7PUA = RSL
 *  Rev  .01   21 June 96 Rewrote all serial communication RSL
 *  Rev  .1    11 Sept96  Added audio standalone RSL
 *  Rev  .2    22 Oct 96  Added overlapping windows, audio FIR RSL
 *  Rev  .3    14 Dec 96  Added KC7WW noise reduction - RSL
 *  Rev  .4    11 Jan 97  Added transmit functions - RSL
 *  Rev 1.0     6 Mar 97  Modified FIR gains, 1st prelim issue - RSL
 *  Rev 1.01   19 Apr 97  Add rf transceiver functions - RSL
 *  Rev 1.02    8 Feb 98  (UU) x2 fixed, added audio gen for audio in.  RSL
 *  Rev 1.1    11 Mar 98  Changed second conversion to non-I/Q  RSL
 *  Rev 1.2     7 Feb 99  Minor changes to rf version to QST issue  RSL
 *  Rev 1.3     6 Mar 99  Updated audio version to ver 1.4 C program  RSL
 *  Rev 1.6    12 Sept99  Aligned versions with C prog.  RSL
 *  Rev 1.7    20 Jan 00  Tidyed up control structure. Added ability to
 *                        reset portions of program. Revised LMS. Added
 *                        wideband FFT. Do not use this or later versions
 *                        with PC programs before 1.7.  RSL
 *  Rev 1.9    28 May 00  Redid triggered 2 second FFT sequencing to stop
 *                        over-runs. Only for LHL7, PUA43 and EME2. RSL
 *  Rev 2.0    18 Oct 00  Added Tukey25 windowing, 1200 and 2400 Hz FFT BW,
 *                        changed escape character, triggered modes for
 *			  narrow FFT's, Moved LMS to block 4 to stop overruns,
 *			  Added programmable denoise beta, decay and length,
 *			  Changed AF filters to 8, gains 1 to 128. RSL
 *  Rev 2.3    19 Apr 03  Integrated KK7P CODEC (TI) into code as condx. RSL
 *  Rev 2D     12 Nov 05  Reversed L-R DAC lines for DSPx per KK7P RSL
 *
 ************************************************************************}

.external	start;
.external	ptr_table;

.var/pm/ram/abs=1	tbl;
.init		tbl: ^ptr_table;

{*********  Interrupt vector table - First two words   ******************}
        jump start;                     { pm location 0,  reset }
.endmod;
